Package ru.bitel.oss.kernel.directories.address.common.bean

# Class HouseData

java.lang.Object
ru.bitel.oss.kernel.directories.address.common.bean.HouseData

public class HouseData extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HouseData()`
  `HouseData(House house)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAreaTitle()`
  `String`
  `getCityTitle()`
  `String`
  `getEntranceRange()`
  `int`
  `getFlatCount()`
  `String`
  `getFloorRange()`
  `String`
  `getHouse()`
  `List<ru.bitel.bgbilling.common.model.KeyValue>`
  `getParams()`
  `String`
  `getPostIndex()`
  `String`
  `getQuarterTitle()`
  `String`
  `getStreetTitle()`
  `void`
  `setAreaTitle(String areaTitle)`
  `void`
  `setCityTitle(String cityTitle)`
  `void`
  `setEntranceRange(String entranceRange)`
  `void`
  `setFlatCount(int flatCount)`
  `void`
  `setFloorRange(String floorRange)`
  `void`
  `setHouse(String house)`
  `void`
  `setParams(List<ru.bitel.bgbilling.common.model.KeyValue> params)`
  `void`
  `setPostIndex(String postIndex)`
  `void`
  `setQuarterTitle(String quarterTitle)`
  `void`
  `setStreetTitle(String streetTitle)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HouseData

    public HouseData()

  - ### HouseData

    public HouseData(House house)

- ## Method Details

  - ### getFlatCount

    public int getFlatCount()

  - ### setFlatCount

    public void setFlatCount(int flatCount)

  - ### getPostIndex

    public String getPostIndex()

  - ### getAreaTitle

    public String getAreaTitle()

  - ### getQuarterTitle

    public String getQuarterTitle()

  - ### getFloorRange

    public String getFloorRange()

  - ### getEntranceRange

    public String getEntranceRange()

  - ### getParams

    public List<ru.bitel.bgbilling.common.model.KeyValue> getParams()

  - ### setPostIndex

    public void setPostIndex(String postIndex)

  - ### setAreaTitle

    public void setAreaTitle(String areaTitle)

  - ### setQuarterTitle

    public void setQuarterTitle(String quarterTitle)

  - ### setFloorRange

    public void setFloorRange(String floorRange)

  - ### setEntranceRange

    public void setEntranceRange(String entranceRange)

  - ### setParams

    public void setParams(List<ru.bitel.bgbilling.common.model.KeyValue> params)

  - ### getHouse

    public String getHouse()

  - ### setHouse

    public void setHouse(String house)

  - ### getCityTitle

    public String getCityTitle()

  - ### getStreetTitle

    public String getStreetTitle()

  - ### setCityTitle

    public void setCityTitle(String cityTitle)

  - ### setStreetTitle

    public void setStreetTitle(String streetTitle)